wxWidgets: wxGridCellDateTimeRenderer Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxGridCellDateTimeRenderer Class Reference
Class List by Category » Grid Related Classes

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.i686/src/wxWidgets-3.0.4/interface/wx/grid.h>`

Inheritance diagram for wxGridCellDateTimeRenderer:
[legend]

## Detailed Description

This class may be used to format a date/time data in a cell.

The class wxDateTime is used internally to display the local date/time or to parse the string date entered in the cell thanks to the defined format.

##

Library: wxAdvanced

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxGridCellRenderer, wxGridCellAutoWrapStringRenderer, wxGridCellBoolRenderer, wxGridCellEnumRenderer, wxGridCellFloatRenderer, wxGridCellNumberRenderer, wxGridCellStringRenderer

## Public Member Functions
| wxGridCellDateTimeRenderer (const wxString &outformat=wxDefaultDateTimeFormat, const wxString &informat=wxDefaultDateTimeFormat)
| Date/time renderer constructor. More...
virtual void | SetParameters (const wxString &params)
| Sets the strptime()-like format string which will be used to parse the date/time. More...
Public Member Functions inherited from wxGridCellStringRenderer
| wxGridCellStringRenderer ()
| Default constructor. More...
Public Member Functions inherited from wxGridCellRenderer
| wxGridCellRenderer ()
virtual wxGridCellRenderer * | Clone () const =0
| This function must be implemented in derived classes to return a copy of itself. More...
virtual void | Draw (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, const wxRect &rect, int row, int col, bool isSelected)=0
| Draw the given cell on the provided DC inside the given rectangle using the style specified by the attribute and the default or selected state corresponding to the isSelected value. More...
virtual wxSize | GetBestSize (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col)=0
| Get the preferred size of the cell for its contents. More...
Public Member Functions inherited from wxClientDataContainer
| wxClientDataContainer ()
| Default constructor. More...
virtual | ~wxClientDataContainer ()
| Destructor. More...
void * | GetClientData () const
| Get the untyped client data. More...
wxClientData * | GetClientObject () const
| Get a pointer to the client data object. More...
void | SetClientData (void *data)
| Set the untyped client data. More...
void | SetClientObject (wxClientData *data)
| Set the client data object. More...
Public Member Functions inherited from wxRefCounter
| wxRefCounter ()
| Default constructor. More...
void | DecRef ()
| Decrements the reference count associated with this shared data and, if it reaches zero, destroys this instance of wxRefCounter releasing its memory. More...
int | GetRefCount () const
| Returns the reference count associated with this shared data. More...
void | IncRef ()
| Increments the reference count associated with this shared data. More...

## Additional Inherited Members
Protected Member Functions inherited from wxGridCellRenderer
virtual | ~wxGridCellRenderer ()
| The destructor is private because only DecRef() can delete us. More...
Protected Member Functions inherited from wxRefCounter
virtual | ~wxRefCounter ()
| Destructor. More...

## Constructor & Destructor Documentation

## ◆ wxGridCellDateTimeRenderer()

wxGridCellDateTimeRenderer::wxGridCellDateTimeRenderer | ( | const wxString & | outformat = `wxDefaultDateTimeFormat`,
|  | const wxString & | informat = `wxDefaultDateTimeFormat`
| ) |  |

Date/time renderer constructor.

Parameters

  outformat | strptime()-like format string used the parse the output date/time.
  informat | strptime()-like format string used to parse the string entered in the cell.

## Member Function Documentation

## ◆ SetParameters()

virtual void wxGridCellDateTimeRenderer::SetParameters | ( | const wxString & | params | ) |
| virtual

Sets the strptime()-like format string which will be used to parse the date/time.

Parameters

  params | strptime()-like format string used to parse the date/time.